## obspy-0.9.2-787-gf176f4cdae.tar.gz

=== misc/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latex-png-images latexpdf-png-images latexpdf text man changes linkcheck doctest gettext coverage coverager pep8 citations credits

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to make create coverage HTML files"
	@echo "  coverager  to make create coverage HTML files and report test"
	@echo "  pep8       to check PEP8 of tutorial"
	@echo "  citations  to generate citations page"
	@echo "  credits    to generate credits page"

clean:
	@rm -rf $(BUILDDIR)/*
	@rm -rf source/packages/autogen/obspy.*
	@rm -rf source/pep8/*

coverage:
	@coverage run --rcfile=.coveragerc -m obspy.core.scripts.runtests -q --all
	@coverage html --rcfile=.coveragerc -d $(BUILDDIR)/html/coverage
	@coverage xml --rcfile=.coveragerc -o $(BUILDDIR)/html/coverage.xml

coverager:
	@coverage run --rcfile=.coveragerc -m obspy.core.scripts.runtests -r -q --all
	@coverage html --rcfile=.coveragerc -d $(BUILDDIR)/html/coverage
	@coverage xml --rcfile=.coveragerc -o $(BUILDDIR)/html/coverage.xml

c_coverage:
	@python make_c_coverage.py $(BUILDDIR)/html/c_coverage

pep8:
	@python make_pep8.py 1
	@pep8 --show-source source/tutorial; echo

citations:
	@python make_citations.py

credits:
	@python make_credits.py

html:
	if [ ! -d $(BUILDDIR) ]; then mkdir $(BUILDDIR); fi
	if [ ! -d $(BUILDDIR)/html ]; then mkdir $(BUILDDIR)/html; fi
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/obspy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/obspy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/obspy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/obspy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latex-png-images: latex
	bash $(BUILDDIR)/../tex_replace_pdf_suffix.sh $(BUILDDIR)/latex

latexpdf: latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdf-png-images: latex-png-images latexpdf

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== obspy/mseed/src/libmseed/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# Options specific for GCC
GCC = gcc
GCCFLAGS = -O2 -Wall -fPIC

LIB_OBJS = fileutils.o genutils.o gswap.o lmplatform.o lookup.o \
           msrutils.o pack.o packdata.o traceutils.o tracelist.o \
           parseutils.o unpack.o unpackdata.o selection.o logging.o

MAJOR_VER = 2
MINOR_VER = 12
CURRENT_VER = $(MAJOR_VER).$(MINOR_VER)
COMPAT_VER = $(MAJOR_VER).$(MINOR_VER)

LIB_A = libmseed.a
LIB_SO_FILENAME = libmseed.so
LIB_SO_ALIAS = $(LIB_SO_FILENAME).$(MAJOR_VER)
LIB_SO = $(LIB_SO_FILENAME).$(CURRENT_VER)
LIB_DYN_ALIAS = libmseed.dylib
LIB_DYN = libmseed.$(CURRENT_VER).dylib

all: static

static: $(LIB_A)

shared: gcc $(LIB_SO)

dynamic: gcc $(LIB_DYN)

$(LIB_A): $(LIB_OBJS)
	rm -f $(LIB_A)
	ar -csq $(LIB_A) $(LIB_OBJS)

$(LIB_SO): $(LIB_OBJS)
	rm -f $(LIB_SO) $(LIB_SO_FILENAME)
	$(GCC) $(GCCFLAGS) -shared -Wl,-soname -Wl,$(LIB_SO_ALIAS) -o $(LIB_SO) $(LIB_OBJS)
	ln -s $(LIB_SO) $(LIB_SO_ALIAS)
	ln -s $(LIB_SO) $(LIB_SO_FILENAME)

$(LIB_DYN): $(LIB_OBJS)
	rm -f $(LIB_DYN) $(LIB_DYN_ALIAS)
	$(GCC) $(GCCFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(CURRENT_VER) -install_name $(LIB_DYN_ALIAS) -o $(LIB_DYN) $(LIB_OBJS)
	ln -sf $(LIB_DYN) $(LIB_DYN_ALIAS)

clean:
	rm -f $(LIB_OBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_ALIAS) $(LIB_DYN) $(LIB_DYN_ALIAS)

cc:
	@$(MAKE) "CC=$(CC)" "CFLAGS=$(CFLAGS)"

gcc:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=$(GCCFLAGS)"

gcc32:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=-m32 $(GCCFLAGS)"

gcc64:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=-m64 $(GCCFLAGS)"

debug:
	$(MAKE) "CC=$(CC)" "CFLAGS=-g $(CFLAGS)"

gccdebug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g $(GCCFLAGS)"

gcc32debug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g -m32 $(GCCFLAGS)"

gcc64debug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g -m64 $(GCCFLAGS)"

gcc32gprof:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-pg -m32 $(GCCFLAGS)"

gcc64gprof:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-pg -m64 $(GCCFLAGS)"

install:
	@echo
	@echo "No install target, copy the library and header yourself"
	@echo

=== debian/control ===
Source: python-obspy
Maintainer: ObsPy Development Team <devs@obspy.org>
Section: python
Priority: extra
X-Python-Version: >= 2.6
Build-Depends: debhelper (>= 5), python (>= 2.6), python-dev,
 python-support (>= 0.7.1), python-numpy, python-setuptools (>=0.6.21), gcc,
 gfortran
Standards-Version: 3.9.3
Vcs-Git: git://github.com/obspy/obspy.git
Vcs-Browser: https://github.com/obspy/obspy
Homepage: http://www.obspy.org

Package: python-obspy
Architecture: any
Section: python
Priority: extra
Depends: python (>= 2.6), python (<< 3), ${python:Depends},
 python-numpy (>= 1:1.1), python-setuptools (>= 0.6), python-lxml (>= 2.1),
 python-matplotlib (>= 0.98.1), python-scipy, python-sqlalchemy,
 python-suds (>= 0.4), ${shlibs:Depends}, python-tornado
Conflicts: python-obspy-arclink, python-obspy-core, python-obspy-datamark,
 python-obspy-db, python-obspy-earthworm, python-obspy-fissures,
 python-obspy-gse2, python-obspy-imaging, python-obspy-iris,
 python-obspy-mseed, python-obspy-neries, python-obspy-realtime,
 python-obspy-sac, python-obspy-seg2, python-obspy-segy, python-obspy-seisan,
 python-obspy-seishub, python-obspy-sh, python-obspy-signal, python-obspy-taup,
 python-obspy-wav, python-obspy-xseed
Replaces: python-obspy-arclink, python-obspy-core, python-obspy-datamark,
 python-obspy-db, python-obspy-earthworm, python-obspy-gse2,
 python-obspy-imaging, python-obspy-iris, python-obspy-mseed,
 python-obspy-neries, python-obspy-realtime, python-obspy-sac,
 python-obspy-seg2, python-obspy-segy, python-obspy-seisan,
 python-obspy-seishub, python-obspy-sh, python-obspy-signal, python-obspy-taup,
 python-obspy-wav, python-obspy-xseed
Recommends: python-geographiclib, python-nose, python-flake8, python-imaging,
 python-mock
Suggests: python-mpltoolkits.basemap, python-mlpy, python-pyproj, ipython
Description: ObsPy: A Python Toolbox for seismology seismological observatories
 ObsPy is an open-source project dedicated to provide a Python framework for
 processing seismological data. It provides parsers for common file formats,
 clients to access data centers and seismological signal processing routines
 which allow the manipulation of seismological time series.
 .
 For more information visit http://www.obspy.org.
Homepage: http://www.obspy.org

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: binary

%:
	dh $@ --buildsystem=python_distutils --with=python2

binary:
	dh binary

override_dh_auto_install:
	dh_auto_install #-- release
	dh_numpy

override_dh_installdeb:
	find $(CURDIR)/debian -name LICENSE.txt -exec rm -f {} \;
	find $(CURDIR)/debian -name README.txt -exec rm -f {} \;
	find $(CURDIR) -name RELEASE-VERSION -exec sh -c 'cat {} | sed s/-dirty// > {}.tmp && mv {}.tmp {}; chmod 0644 {}' \;
	find $(CURDIR)/debian -type d -name src | xargs rm -rf \; # in principle only needed for some modules
	find $(CURDIR) -name .gitignore | xargs rm -rf \; # obspy/libs/.gitignore strangely gets included in package
	dh_installdeb
